Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class SourceCode

    java.lang.Object
      net.sourceforge.pmd.cpd.SourceCode

public class SourceCode
extends java.lang.Object

Nested Class Summary
`static class` | `SourceCode.CodeLoader`
`static class` | `SourceCode.FileCodeLoader`
`static class` | `SourceCode.StringCodeLoader`

Constructor Summary
`SourceCode(SourceCode.CodeLoader cl)`

Method Summary
`java.util.List` | `getCode()`
`java.lang.StringBuffer` | `getCodeBuffer()`
`java.lang.String` | `getFileName()`
`java.lang.String` | `getSlice(int startLine, int endLine)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceCode

    public SourceCode(SourceCode.CodeLoader cl)

Method Detail

### getCode

    public java.util.List getCode()

### getCodeBuffer

    public java.lang.StringBuffer getCodeBuffer()

### getSlice

    public java.lang.String getSlice(int startLine,
                                     int endLine)

### getFileName

    public java.lang.String getFileName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.